# Acknowledgement

Many parts of Mirae WAVE have been made possible by a series of research projects performed by Mirae Climate Co., Ltd. and supported by Korea Meteorological Administration (KMA).

This software is provided "as is", without warranty of any kind, express or implied, including but not limited to the warranties of merchantability, fitness for a particular purpose and noninfringement. In no event shall the authors or copyright holders be liable for any special, direct, indirect, or consequential damages or any damages whatsoever resulting from loss of use, data or profits, whether in an accident of contract, negligence or ther tortious action, arising out of or in connection with the use or performance of this software.

Mirae WAVE is also based in part on the works of the following open source libraries:

##### GDAL

> Copyright (c) 2000, Frank Warmerdam
> 
> Permission is hereby granted, free of charge, to any person obtaining a
> copy of this software and associated documentation files (the "Software"),
> to deal in the Software without restriction, including without limitation
> the rights to use, copy, modify, merge, publish, distribute, sublicense,
> and/or sell copies of the Software, and to permit persons to whom the
> Software is furnished to do so, subject to the following conditions:
>  
> The above copyright notice and this permission notice shall be included
> in all copies or substantial portions of the Software.
>  
> THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
> OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
> FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
> THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
> LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
> FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
> DEALINGS IN THE SOFTWARE.

##### Degrib

> The degrib source code is a modified version of code produced by NOAA NWS and is in the public domain subject to the following restrictions:
>  
> http://www.weather.gov/im/softa.htm
>  
> DISCLAIMER The United States Government makes no warranty, expressed or implied, as to the usefulness of the software and documentation for any purpose. The U.S. Government, its instrumentalities, officers, employees, and agents assumes no responsibility (1) for the use of the software and documentation listed below, or (2) to provide technical support to users.

##### NetCDF

> Copyright 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, University Corporation for Atmospheric Research/Unidata.
>  
> Portions of this software were developed by the Unidata Program at the University Corporation for Atmospheric Research.
>  
> Access and use of this software shall impose the following obligations and understandings on the user. The user is granted the right, without any fee or cost, to use, copy, modify, alter, enhance and distribute this software, and any derivative works thereof, and its supporting documentation for any purpose whatsoever, provided that this entire notice appears in all copies of the software, derivative works and supporting documentation. Further, UCAR requests that the user credit UCAR/Unidata in any publications that result from the use of this software or in any product that includes this software, although this is not an obligation. The names UCAR and/or Unidata, however, may not be used in any advertising or publicity to endorse or promote any products or commercial entity unless specific written permission is obtained from UCAR/Unidata. The user also understands that UCAR/Unidata is not obligated to provide the user with any support, consulting, training or assistance of any kind with regard to the use, operation and performance of this software nor to provide the user with any updates, revisions, new versions or "bug fixes."
> 
> THIS SOFTWARE IS PROVIDED BY UCAR/UNIDATA "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL UCAR/UNIDATA BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE ACCESS, USE OR PERFORMANCE OF THIS SOFTWARE.

##### HDF5

> HDF5 (Hierarchical Data Format 5) Software Library and Utilities
> Copyright (c) 2006, The HDF Group. 
>  
> NCSA HDF5 (Hierarchical Data Format 5) Software Library and Utilities
> Copyright (c) 1998-2006, The Board of Trustees of the University of Illinois. 
>  
> All rights reserved.
>  
> Redistribution and use in source and binary forms, with or without 
> modification, are permitted for any purpose (including commercial purposes) 
> provided that the following conditions are met:
>  
> 1. Redistributions of source code must retain the above copyright notice, 
>    this list of conditions, and the following disclaimer.
> 
> 2. Redistributions in binary form must reproduce the above copyright notice, 
>    this list of conditions, and the following disclaimer in the documentation 
>    and/or materials provided with the distribution.
> 
> 3. In addition, redistributions of modified forms of the source or binary 
>    code must carry prominent notices stating that the original code was 
>    changed and the date of the change.
> 
> 4. All publications or advertising materials mentioning features or use of 
>    this software are asked, but not required, to acknowledge that it was 
>    developed by The HDF Group and by the National Center for Supercomputing 
>    Applications at the University of Illinois at Urbana-Champaign and 
>    credit the contributors.
> 
> 5. Neither the name of The HDF Group, the name of the University, nor the 
>    name of any Contributor may be used to endorse or promote products derived 
>    from this software without specific prior written permission from 
>    The HDF Group, the University, or the Contributor, respectively.
>  
> DISCLAIMER: 
> THIS SOFTWARE IS PROVIDED BY THE HDF GROUP AND THE CONTRIBUTORS 
> "AS IS" WITH NO WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED.  In no 
> event shall The HDF Group or the Contributors be liable for any damages 
> suffered by the users arising out of the use of this software, even if 
> advised of the possibility of such damage. 

##### Proj.4

> Copyright (c) 2000, Frank Warmerdam
> 
> Permission is hereby granted, free of charge, to any person obtaining a
> copy of this software and associated documentation files (the "Software"),
> to deal in the Software without restriction, including without limitation
> the rights to use, copy, modify, merge, publish, distribute, sublicense,
> and/or sell copies of the Software, and to permit persons to whom the
> Software is furnished to do so, subject to the following conditions:
>  
> The above copyright notice and this permission notice shall be included
> in all copies or substantial portions of the Software.
>  
> THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
> OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
> FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
> THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
> LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
> FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
> DEALINGS IN THE SOFTWARE.

##### Crypto++

> The Crypto++ Library (as a compilation) is currently licensed under the Boost
> Software License 1.0 (http://www.boost.org/users/license.html).
>  
> Boost Software License - Version 1.0 - August 17th, 2003
>  
> Permission is hereby granted, free of charge, to any person or organization
> obtaining a copy of the software and accompanying documentation covered by
> this license (the "Software") to use, reproduce, display, distribute,
> execute, and transmit the Software, and to prepare derivative works of the
> Software, and to permit third-parties to whom the Software is furnished to
> do so, all subject to the following:
>  
> The copyright notices in the Software and this entire statement, including
> the above license grant, this restriction and the following disclaimer,
> must be included in all copies of the Software, in whole or in part, and
> all derivative works of the Software, unless such copies or derivative
> works are solely in the form of machine-executable object code generated by
> a source language processor.
>  
> THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
> IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
> FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. IN NO EVENT
> SHALL THE COPYRIGHT HOLDERS OR ANYONE DISTRIBUTING THE SOFTWARE BE LIABLE
> FOR ANY DAMAGES OR OTHER LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE,
> ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
> DEALINGS IN THE SOFTWARE.

##### Jasper

> JasPer License Version 2.0
>  
> Copyright (c) 2001-2006 Michael David Adams
> Copyright (c) 1999-2000 Image Power, Inc.
> Copyright (c) 1999-2000 The University of British Columbia
>  
> All rights reserved.
>  
> Permission is hereby granted, free of charge, to any person (the
> "User") obtaining a copy of this software and associated documentation
> files (the "Software"), to deal in the Software without restriction,
> including without limitation the rights to use, copy, modify, merge,
> publish, distribute, and/or sell copies of the Software, and to permit
> persons to whom the Software is furnished to do so, subject to the
> following conditions:
>  
> 1.  The above copyright notices and this permission notice (which
> includes the disclaimer below) shall be included in all copies or
> substantial portions of the Software.
>  
> 2.  The name of a copyright holder shall not be used to endorse or
> promote products derived from the Software without specific prior
> written permission.
>  
> THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS
> LICENSE.  NO USE OF THE SOFTWARE IS AUTHORIZED HEREUNDER EXCEPT UNDER
> THIS DISCLAIMER.  THE SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS
> "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
> BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
> PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS.  IN NO
> EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL
> INDIRECT OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING
> FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
> NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION
> WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.  NO ASSURANCES ARE
> PROVIDED BY THE COPYRIGHT HOLDERS THAT THE SOFTWARE DOES NOT INFRINGE
> THE PATENT OR OTHER INTELLECTUAL PROPERTY RIGHTS OF ANY OTHER ENTITY.
> EACH COPYRIGHT HOLDER DISCLAIMS ANY LIABILITY TO THE USER FOR CLAIMS
> BROUGHT BY ANY OTHER ENTITY BASED ON INFRINGEMENT OF INTELLECTUAL
> PROPERTY RIGHTS OR OTHERWISE.  AS A CONDITION TO EXERCISING THE RIGHTS
> GRANTED HEREUNDER, EACH USER HEREBY ASSUMES SOLE RESPONSIBILITY TO SECURE
> ANY OTHER INTELLECTUAL PROPERTY RIGHTS NEEDED, IF ANY.  THE SOFTWARE
> IS NOT FAULT-TOLERANT AND IS NOT INTENDED FOR USE IN MISSION-CRITICAL
> SYSTEMS, SUCH AS THOSE USED IN THE OPERATION OF NUCLEAR FACILITIES,
> AIRCRAFT NAVIGATION OR COMMUNICATION SYSTEMS, AIR TRAFFIC CONTROL
> SYSTEMS, DIRECT LIFE SUPPORT MACHINES, OR WEAPONS SYSTEMS, IN WHICH
> THE FAILURE OF THE SOFTWARE OR SYSTEM COULD LEAD DIRECTLY TO DEATH,
> PERSONAL INJURY, OR SEVERE PHYSICAL OR ENVIRONMENTAL DAMAGE ("HIGH
> RISK ACTIVITIES").  THE COPYRIGHT HOLDERS SPECIFICALLY DISCLAIM ANY
> EXPRESS OR IMPLIED WARRANTY OF FITNESS FOR HIGH RISK ACTIVITIES.

##### libpng, zlib

> libpng versions 1.0.7, July 1, 2000 through 1.6.30, June 28, 2017 are
> Copyright (c) 2000-2002, 2004, 2006-2017 Glenn Randers-Pehrson, are
> derived from libpng-1.0.6, and are distributed according to the same
> disclaimer and license as libpng-1.0.6 with the following individuals
> added to the list of Contributing Authors:
>  
>    Simon-Pierre Cadieux  
>    Eric S. Raymond  
>    Mans Rullgard  
>    Cosmin Truta  
>    Gilles Vollant  
>    James Yu  
>    Mandar Sahastrabuddhe  
>    Google Inc.  
>    Vadim Barkov  
>  
> and with the following additions to the disclaimer:
>  
>    There is no warranty against interference with your enjoyment of the
>    library or against infringement.  There is no warranty that our
>    efforts or the library will fulfill any of your particular purposes
>    or needs.  This library is provided with all faults, and the entire
>    risk of satisfactory quality, performance, accuracy, and effort is with
>    the user.
>  
> Some files in the "contrib" directory and some configure-generated
> files that are distributed with libpng have other copyright owners and
> are released under other open source licenses.
>  
> libpng versions 0.97, January 1998, through 1.0.6, March 20, 2000, are
> Copyright (c) 1998-2000 Glenn Randers-Pehrson, are derived from
> libpng-0.96, and are distributed according to the same disclaimer and
> license as libpng-0.96, with the following individuals added to the list
> of Contributing Authors:
>  
>    Tom Lane  
>    Glenn Randers-Pehrson  
>    Willem van Schaik  
>  
> libpng versions 0.89, June 1996, through 0.96, May 1997, are
> Copyright (c) 1996-1997 Andreas Dilger, are derived from libpng-0.88,
> and are distributed according to the same disclaimer and license as
> libpng-0.88, with the following individuals added to the list of
> Contributing Authors:
>  
>    John Bowler  
>    Kevin Bracey  
>    Sam Bushell  
>    Magnus Holmgren  
>    Greg Roelofs  
>    Tom Tanner  
>  
> Some files in the "scripts" directory have other copyright owners
> but are released under this license.
>  
> libpng versions 0.5, May 1995, through 0.88, January 1996, are
> Copyright (c) 1995-1996 Guy Eric Schalnat, Group 42, Inc.
>  
> For the purposes of this copyright and license, "Contributing Authors"
> is defined as the following set of individuals:
>  
>    Andreas Dilger  
>    Dave Martindale  
>    Guy Eric Schalnat  
>    Paul Schmidt  
>    Tim Wegner  
>   
> The PNG Reference Library is supplied "AS IS".  The Contributing Authors
> and Group 42, Inc. disclaim all warranties, expressed or implied,
> including, without limitation, the warranties of merchantability and of
> fitness for any purpose.  The Contributing Authors and Group 42, Inc.
> assume no liability for direct, indirect, incidental, special, exemplary,
> or consequential damages, which may result from the use of the PNG
> Reference Library, even if advised of the possibility of such damage.
>   
> Permission is hereby granted to use, copy, modify, and distribute this
> source code, or portions hereof, for any purpose, without fee, subject
> to the following restrictions: 
>   
>   1. The origin of this source code must not be misrepresented.
>   
>   2. Altered versions must be plainly marked as such and must not
>      be misrepresented as being the original source.
>   
>   3. This Copyright notice may not be removed or altered from any
>      source or altered source distribution.
>   
> The Contributing Authors and Group 42, Inc. specifically permit, without
> fee, and encourage the use of this source code as a component to
> supporting the PNG file format in commercial products.  If you use this
> source code in a product, acknowledgment is not required but would be
> appreciated.

##### curl

> Copyright (c) 1996 - 2017, Daniel Stenberg, daniel@haxx.se, and many contributors, see the THANKS file.
> 
> All rights reserved.
> 
> Permission to use, copy, modify, and distribute this software for any purpose with or without fee is hereby granted, provided that the above copyright notice and this permission notice appear in all copies.
> 
> THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
> 
> Except as contained in this notice, the name of a copyright holder shall not be used in advertising or otherwise to promote the sale, use or other dealings in this Software without prior written authorization of the copyright holder.

##### JPEG, FTGL

>  This software is based in part on the work of the Independent JPEG Group.  
>   
>  FTGL is free software. You may use it, modify it and redistribute it under the terms of the MIT license or the GNU LGPL, at your option.



<br><br>

| [Previous Page](4-8-speed-up-repetitions) | [Home (Table of Contents)](home) | Next Page |
| :------- | :----------------------: | ---: |

